pipeline:
  deploy:
    image: alpine
    commands:
      - |
          mkdir $HOME/.ssh
          echo "$SSH_KEY">$HOME/.ssh/id_ed25519
          echo "$SSH_KNOWN_HOSTS">$HOME/.ssh/known_hosts
          chown 600 $HOME/.ssh/id_ed25519
      - apk add hugo rsync openssh-client go git
      - hugo
      - rsync -avzHAX public/ kaniini@ariadne.space:public/
    secrets: [SSH_KEY, SSH_KNOWN_HOSTS]
